// pgp4pine declares.h

// See common.c for the version and license.
// Copyright (C) 1998 by Chris Wiegand

// --------------------------------------------------------------

// pgp4pine common.c

void extractEmailAddress(char *tmpString);
void clearScreen();
int runProcessFG(const char commandToRun[MAX_COMMAND_LINE_LENGTH]);
int askInteger(const char prompt[1024],int defaultVal);
char askAlphaRange(const char prompt[1024],char defaultVal,char maxVal);
void waitForReturn();
void printUsage();
void printVersion();
void pipeSTDINToFile(const char *fileName);
void *myMalloc(size_t size);
void myFree(void *oldPtr);
void stillAlive();
void killFirstChar(char *inString);
void cpString(FILE *inFile, char buf[65530]);

// pgp4pine debug.c

void openDebugFile();
void documentStatus(char *status);

// pgp4pine keyrings.c

void deallocAllKeys(struct pkiKey *killKey);
void getSecretKeyring();
void chooseSecretKey();
void getPublicKeyring();

// pgp4pine main.c

int main(int argc,char **argv);

// pgp4pine menus.c

void fileVerifyDecryptMenu(const char *inFile,const char *outFile);
void fileSignEncryptMenu(const char *inFile, char *outFile, char *recipients);

// pgp4pine pki.c

int pipe_pgp(const char *cmd, FILE **in, FILE **out);
void fileVerifyDecrypt(const char inFile[MAX_COMMAND_LINE_LENGTH],const char outFile[MAX_COMMAND_LINE_LENGTH]);
void fileSignEncrypt(const char inFileName[MAX_COMMAND_LINE_LENGTH],
		     const char outFileName[MAX_COMMAND_LINE_LENGTH],
		     const int sign, const int encrypt,
		     char recipient[EMAIL_ADDRESS_MAX_LENGTH], 
		     const int asciiArmor, const int universalText,
		     int encryptToSelf,int detachSigs);
void parseRecipientList(char *recipients);
int checkRecipient(char *thisRecip);
void printKeyInfo(char c, struct pkiKey *thisKey);

// pgp4pine prefs.c

char *readPrefs(const char *searchKey, char *defaultVal);
void readRCFile();

// pgp4pine profiles.c

void clearProfiles(struct myProfile *firstProfile);
void selectProfile();
