// pgp4pine structs.h

// See common.c for the version and license.
// Copyright (C) 1998 by Chris Wiegand

struct pkiKey {
	char emailAddress[EMAIL_ADDRESS_MAX_LENGTH];
	char displayName[EMAIL_ADDRESS_MAX_LENGTH];
	char keyID[KEY_ID_LENGTH];
	char keySize[KEY_SIZE_LENGTH];
	char keyType[KEY_TYPE_LENGTH];
	struct pkiKey *nextKey;
} pkiKeyStruct;

struct myProfile {
	char profileName[254];
	int pgpVersion; // see pki.c for values
	char pgpFolder[MAX_COMMAND_LINE_LENGTH]; // could be /opt/pgp/ or /usr/local/bin/
	char extraOptions[MAX_COMMAND_LINE_LENGTH]; // could be --force-v3-sigs or somesuch
	int autoSign;
	int autoEncrypt;
	int encryptToSelf;
	int addNewKeys;
	char myAddress[EMAIL_ADDRESS_MAX_LENGTH];
	int asciiArmor;
	int universalText;
	char myTmpFile[MAX_COMMAND_LINE_LENGTH];
		// set to anything less than strlen(3) to turn off.
	struct myProfile *nextProfile;
	int detachedSig;
} myProfileStruct;

struct recipientList {
	char name[EMAIL_ADDRESS_MAX_LENGTH];
	char keyID[KEY_ID_LENGTH];
	struct recipientList *nextName;
} recipientStruct;

